eccodes/tests/grib_tigge.sh

76 lines
1.9 KiB
Bash
Raw Normal View History

2013-03-25 12:04:10 +00:00
#!/bin/sh
2019-04-15 13:44:45 +00:00
# Copyright 2005-2019 ECMWF.
2013-03-25 12:04:10 +00:00
#
# This software is licensed under the terms of the Apache Licence Version 2.0
# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
#
# In applying this licence, ECMWF does not waive the privileges and immunities granted to it by
# virtue of its status as an intergovernmental organisation nor does it submit to any jurisdiction.
#
. ./include.sh
REDIRECT=/dev/null
dir="${data_dir}/tigge/"
# check tigge global
2016-08-15 15:48:09 +00:00
for file in ${dir}tigge_*.grib
2013-03-25 12:04:10 +00:00
do
2017-02-03 14:22:21 +00:00
${tigge_dir}/tigge_check ${file} 2> $REDIRECT > $REDIRECT
2013-03-25 12:04:10 +00:00
done
# check tigge-lam
2016-08-15 15:48:09 +00:00
for file in ${dir}tiggelam_*.grib
2013-03-25 12:04:10 +00:00
do
2017-02-03 14:22:21 +00:00
${tigge_dir}/tigge_check -l ${file} 2> $REDIRECT > $REDIRECT
2013-03-25 12:04:10 +00:00
done
2016-08-15 15:48:09 +00:00
# Test non-TIGGE files too. We now expect tigge_check to fail!
# All the GRIB files in the samples are non-TIGGE
for file in ${ECCODES_SAMPLES_PATH}/regular_*.tmpl; do
2014-06-18 16:14:01 +00:00
set +e
2017-02-03 14:22:21 +00:00
${tigge_dir}/tigge_check ${file} 2> $REDIRECT > $REDIRECT
2014-06-18 16:14:01 +00:00
status=$?
set -e
if [ $status -eq 0 ]; then
2014-03-31 12:57:06 +00:00
# should have failed and returned a non-zero exit code
exit 1
fi
2013-03-25 12:04:10 +00:00
done
2014-06-18 16:14:01 +00:00
# GRIB-531
TEMP=temp.$$.tigge
2017-02-03 14:21:24 +00:00
${tools_dir}/grib_get -nparameter ${data_dir}/tigge_pf_ecmwf.grib2 > $TEMP
2014-06-18 16:14:01 +00:00
diff ${data_dir}/tigge_pf_ecmwf.grib2.ref $TEMP
# GRIB-205. Changing productionStatusOfProcessedData should not change
# anything else
input=${dir}/tigge_ecmf_sfc_sd.grib
2017-02-03 14:21:24 +00:00
${tools_dir}/grib_set -s productionStatusOfProcessedData=5 $input $TEMP
${tools_dir}/grib_compare -bproductionStatusOfProcessedData $input $TEMP
2014-06-18 16:14:01 +00:00
rm -f $TEMP
2016-08-15 15:48:09 +00:00
# GRIB-757 validity date/time check fails for the following:
tigge_bad_validity="
tigge_kwbc_sfc_sf.grib
tigge_kwbc_sfc_slhf.grib
tigge_kwbc_sfc_sshf.grib
tigge_kwbc_sfc_ssr.grib
tigge_kwbc_sfc_str.grib
tigge_kwbc_sfc_ttr.grib
"
for file in $tigge_bad_validity; do
set +e
2017-02-03 14:22:21 +00:00
${tigge_dir}/tigge_check -w ${dir}${file} > $TEMP
2016-08-15 15:48:09 +00:00
status=$?
set -e
[ $status -eq 1 ]
cat $TEMP
grep -q "invalid validity Date/Time" $TEMP
done
rm -f $TEMP